/// counterType : ""
/// quantity : 0
/// formatQuantity : ""

class SCUserCounterRes {
  SCUserCounterRes({String? counterType, String? quantity, String? formatQuantity}) {
    _counterType = counterType;
    _quantity = quantity;
    _formatQuantity = formatQuantity;
  }

  SCUserCounterRes.fromJson(dynamic json) {
    _counterType = json['counterType'];
    _quantity = json['quantity'];
    _formatQuantity = json['formatQuantity'];
  }

  String? _counterType;
  String? _quantity;
  String? _formatQuantity;

  SCUserCounterRes copyWith({
    String? counterType,
    String? quantity,
    String? formatQuantity,
  }) => SCUserCounterRes(
    counterType: counterType ?? _counterType,
    quantity: quantity ?? _quantity,
    formatQuantity: formatQuantity ?? _formatQuantity,
  );

  String? get counterType => _counterType;

  String? get quantity => _quantity;

  String? get formatQuantity => _formatQuantity;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['counterType'] = _counterType;
    map['quantity'] = _quantity;
    map['formatQuantity'] = _formatQuantity;
    return map;
  }
}
